/**
 * @作者 Junes @email 49201650@qq.com
 */

/**
 * @功能 显隐
 */

//显示
function showById(argId){
 	var obj=document.getElementById(argId);
	obj.style.display="block";
	return "block";
}
function showByName(argName){
 	var obj=document.getElementsByName(argName);
	for(var i=0;i<obj.length;i++){
		obj[i].style.display="block";
	}
}
 
//隐藏
function hideById(argId){
 	var obj=document.getElementById(argId);
	obj.style.display="none";
	return "none";
}
function hideByName(argName){
 	var obj=document.getElementsByName(argName);
	for(var i=0;i<obj.length;i++){
		obj[i].style.display="none";
	}
}
 
//显隐
function toggle(argName,argId){
	 var objContents=document.getElementsByName(argName);
	 var obj=document.getElementById(argId);
	 
	 if(obj.style.display=="block"){
	 obj.style.display="none";
	 return "none";
	 }
 
	 for(var i=0;i<objContents.length;i++){
	 objContents[i].style.display="none";
	 }
	 obj.style.display="block";
	 return "block";
}
 
function toggleById(argId){
	var obj=document.getElementById(argId);
	if(obj.style.display=="block"||obj.style.display==""){
		obj.style.display="none";
		return "none";
	}
	obj.style.display="block";
	return "block";
}
 

//图片切换与内容显隐
 function toggleAsImg(argToggleId,argImgId,imgSrc1,imgSrc2){
 	var obj=document.getElementById(argToggleId);
 	var objImg=document.getElementById(argImgId);
 	if(obj.style.display=="none"){
		obj.style.display="block";
		objImg.src=imgSrc1;
		return "block";
 	}else{
 		obj.style.display="none";
 		objImg.src=imgSrc2;
 		return "none";
 	}
}
//listitem图片切换与内容显隐 
 function toggleAsRicon(argListId,argToggleId,imgSrc1,imgSrc2){
	 	var obj=document.getElementById(argToggleId);
	 	var objList=document.getElementById(argListId);
	 	if(obj.style.display=="none"){
			obj.style.display="block";
			objList.ricon=imgSrc1;
			return "block";
	 	}else{
	 		obj.style.display="none";
	 		objList.ricon=imgSrc2;
	 		return "none";
	 	}
	}
 
//listitem图片切换与内容显隐 
function toggleAsRiconAndName(argCurrentId,argAccordionName,argName,argId,imgDefaultSrc,imgReplaceSrc){
	 var objCurrent=document.getElementById(argCurrentId);
	 var objAccordions=document.getElementsByName(argAccordionName);
	 var objContents=document.getElementsByName(argName);
	 var obj=document.getElementById(argId);
	 
	 if(obj.style.display=="block"){
		 obj.style.display="none";
		 objCurrent.ricon=imgDefaultSrc;
		 return;
	 }
 
	 for(var i=0;i<objContents.length;i++){
	 objContents[i].style.display="none";
	 objAccordions[i].ricon=imgDefaultSrc;
	 }
	 obj.style.display="block";
	 objCurrent.ricon=imgReplaceSrc;
 }
//开关与容器显隐
function onswitch(switchid,relevantid){
 	var objswitch=document.getElementById(switchid);
 	var objrelevant=document.getElementById(relevantid);
 	if(objswitch.checked==false){
 		objswitch.checked=false;
 		objrelevant.className="hide";
 	}else{
 		objswitch.checked=true;
		objrelevant.className="show";
 	}
}
 
//显隐并改变文字
function toggleAsFont(argFontDivId,argFontDefault,argFontReplace,argContentName){
 	var fontdiv=document.getElementById(argFontDivId);
 	var con=null;
	con=document.getElementsByName(argContentName);
	if(fontdiv.innerHTML==argFontReplace){
		fontdiv.innerHTML=fontreplace;
		for(var i=0;i<con.length;i++){
			con[i].style.display="block";
		}
		return;
	}
	fontdiv.innerHTML=argFontReplace;
	for(var i=0;i<con.length;i++){
		con[i].style.display="none";
	}
}
 
 /**
  * @改变文字
  */
function fontColor(argFont,argColor){
 	argFont.style.color=argColor;
}
 /**
  * @改变值
  */
function clearValue(argId){
 	document.getElementById(argId).value="";
}
 
 
 /**
  * @日期 获得日期
  */
//获得当前日期
function getCurrentDate(){
 	var currentDate=new Date();
 	var year=currentDate.getFullYear();
 	var month=currentDate.getMonth()+1;
 	var day=currentDate.getDate();
 	var fulldate=year+"-"+month+"-"+day;
 	return fulldate;
}
//获得当前时间
function getCurrentTime(){
 	var currentDate=new Date();
 	var year=currentDate.getHours();
 	var month=currentDate.getMinutes();
 	var text=year+":"+month;
 	return text;
}
 
 /**
 * @通讯录 通信功能
 */
//打电话
var number="";
function call(argMessage,argNumber){
 	number=argNumber;
 	if(!confirm(argMessage,tel)){
 		return;
 	}
}
function tel(){
 	Util.tel(number);
}
 
function callNumber(argNumber){
	 number=argNumber;
	 tel();
}
//发信息
function sendMes(phonenumber,mescontent){
  	num=document.getElementById(phonenumber).value;
  	content=document.getElementById(mescontent).value;
 	if(Util.sendSms(num,content)){
 		alert("发送短信成功！");
	window.close();
	return;
 	}
 	alert("发送短信失败，请检查号码是否正确或手机是否有信号！");
}

//调用系统短信
function openSysMes(){
	var osStr=Util.getOs();
	if(osStr.indexOf("android")>=0){
	Util.openSystemSms();
	}else if(osStr.indexOf("iPhone")>=0){
		alert("iPhone暂不支持此功能");
	}
}

//调用系统拨号界面
function openSysTel(){
	var osStr=Util.getOs();
	if(osStr.indexOf("android")>=0){
	Util.openSystemDial();
	}else if(osStr.indexOf("iPhone")>=0){
	alert("iPhone暂不支持此功能");
	}
}

//调用系统通讯录
function openSysContact(){
	var osStr=Util.getOs();
	if(osStr.indexOf("android")>=0){
		Util.openSystemContact();
	}else if(osStr.indexOf("iPhone")>=0){
		alert("iPhone暂不支持此功能");
	}
}
  /**
   * @系统功能 常用功能
   */
//弹出toast框
function toast(argMes){
	var toast=new Toast();
	toast.setText(argMes);
	toast.setDuration(500);
	toast.show();
}
//关闭多级页面
function closewin(){
	if(arguments.length>0){
		for(var i=0;i<arguments.length;i++){
			var objWin=util.getWindowById(arguments[i]);
			objWin.close();
		}
	}
	window.close();
}
//获得屏幕尺寸：DP值
function bodyHeight(){
	return Util.getBodyHeight();
}
function bodyWidth(){
	return Util.getBodyWidth();
}
function headerHeight(){
	return Util.getHeaderHeight();
}
function footerHeight(){
	return Util.getFooterHeight();
}
function windowHeight(){
	return Util.getWindowHeight();
}
function windowWidth(){
	return Util.getWindowWidth();
}
//获得屏幕尺寸：像素值
function screenHeight(){
	return Util.getScreenHeight();
}
function screenWidth(){
	return Util.getScreenWidth();
}

//滑动容器，滑动到指定页
function slideTo(argSlideId,argIndex){
	var objSlide=document.getElementById(argSlideId);
	objSlide.selectedIndex=argIndex;
 }